Jump to content
EnsKlnc

PROBLEM! MSP430G2553 LauchPad on Linux

Recommended Posts

Hi Guys!

I have MSP430 EXP LauchPad for my course. I want to program this lauchpad on Linux Mint but I have some troubles about that. Firstly, I downloaded Code Composer Studio to work on it but I had a error about port FET. Now I decided to download Energia, it looks like arduino IDE that is why I know about cart and port settings. My trouble on Energia is on the picture:

Ekran görüntüsü_2018-10-07_13-58-31.png

Share this post


Link to post
Share on other sites

Do you have a 32 or 64 bit machine? 32-bit Linux only supported up to version 6.1.3 of CCS so you cannot run the latest version. Also be sure to add your user to the dialout group to access peripherals.

Share this post


Link to post
Share on other sites

I have a 64 bit machine Linux Mint. I had tried version 6,7 and 8 of CCS. I have already added my user to the dialout group

Share this post


Link to post
Share on other sites

I do not believe the G-series Launchpad works with Linux. CCS should have given you an warning during install. There is hardware incompatibility. You still have options:

i) Install CCS on Windows

ii) Get a different Launchpad that has a Linux driver. You can use this and jumper wires to flash your value line MCU.

Share this post


Link to post
Share on other sites

My luck in the world 😢 Why does arduino not giving me error about those silly warnings ? Arduino works on Linux greatfull.

Thank you for replying me.

SOLUTION: Windows on VIRTUALBOX

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×